HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostPaymentIntents

Contains the different functions to run the operation postPaymentIntents

  • 162 types
  • 63 values
  • Packagestripeapi-3.0.0.0
  • Exports225
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostPaymentIntents.hs
valuepostPaymentIntents
  1. :: MonadHTTP m
  2. => PostPaymentIntentsRequestBody

    The request body to send

  3. -> ClientT m (Response PostPaymentIntentsResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/payment_intents

<p>Creates a PaymentIntent object.</p>

<p>After the PaymentIntent is created, attach a payment method and <a href="/docs/api/payment_intents/confirm">confirm</a> to continue the payment. You can read more about the different payment flows available via the Payment Intents API <a href="/docs/payments/payment-intents">here</a>.</p>

<p>When <code>confirm=true</code> is used during creation, it is equivalent to creating and confirming the PaymentIntent in the same call. You may use any parameters available in the <a href="/docs/api/payment_intents/confirm">confirm API</a> when <code>confirm=true</code> is supplied.</p>

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.automatic_payment_methods in the specification.

When enabled, this PaymentIntent will accept payment methods that you have enabled in the Dashboard and are compatible with this PaymentIntent's other parameters.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.capture_method in the specification.

Controls when the funds will be captured from the customer's account.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.confirmation_method in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate_data in the specification.

This hash contains details about the Mandate to create. This parameter can only be used with `confirm=true`.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate_data.properties.customer_acceptance.properties.online in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.mandate_data.properties.customer_acceptance.properties.type in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.off_session.anyOf in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.off_session.anyOf in the specification.

Set to `true` to indicate that the customer is not in your checkout flow during this payment attempt, and therefore is unable to authenticate. This parameter is intended for scenarios where you collect card details and charge them later. This parameter can only be used with `confirm=true`.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data in the specification.

If provided, this hash will be used to create a PaymentMethod. The new PaymentMethod will appear in the payment_method property on the PaymentIntent.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.acss_debit in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.au_becs_debit in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.bacs_debit in the specification.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.billing_details.properties.address.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.billing_details.properties.address.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.billing_details.properties.email.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.boleto in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.eps in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.eps.properties.bank in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.fpx in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.fpx.properties.bank in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.ideal in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.ideal.properties.bank in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.klarna in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.klarna.properties.dob in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.p24 in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.p24.properties.bank in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.radar_options in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.sepa_debit in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.sofort in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.sofort.properties.country in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.type in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.us_bank_account in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.us_bank_account.properties.account_holder_type in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_data.properties.us_bank_account.properties.account_type in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options in the specification.

Payment-method-specific configuration for this PaymentIntent.

Constructors

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.acss_debit.anyOf.properties.mandate_options.properties.custom_mandate_url.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.acss_debit.anyOf.properties.mandate_options.properties.payment_schedule in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.acss_debit.anyOf.properties.mandate_options.properties.transaction_type in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.acss_debit.anyOf.properties.setup_future_usage in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.acss_debit.anyOf.properties.verification_method in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.acss_debit.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.affirm.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.affirm.anyOf.properties.capture_method in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.affirm.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.affirm.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.afterpay_clearpay.anyOf.properties.capture_method in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.afterpay_clearpay.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.afterpay_clearpay.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.alipay.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.alipay.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.alipay.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.au_becs_debit.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.au_becs_debit.anyOf.properties.setup_future_usage in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.au_becs_debit.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.bacs_debit.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.bacs_debit.anyOf.properties.setup_future_usage in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.bacs_debit.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.bancontact.anyOf.properties.preferred_language in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.bancontact.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.bancontact.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.boleto.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.boleto.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.boleto.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.card.anyOf in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.card.anyOf.properties.capture_method in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.card.anyOf.properties.installments in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.card.anyOf.properties.installments.properties.plan.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.card.anyOf.properties.installments.properties.plan.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.card.anyOf.properties.mandate_options in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.card.anyOf.properties.mandate_options.properties.amount_type in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.card.anyOf.properties.mandate_options.properties.interval in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.card.anyOf.properties.mandate_options.properties.supported_types.items in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.card.anyOf.properties.network in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.card.anyOf.properties.request_three_d_secure in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.card.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.card.anyOf.properties.statement_descriptor_suffix_kana.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.card.anyOf.properties.statement_descriptor_suffix_kanji.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.card.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.card_present.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.card_present.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.customer_balance.anyOf.properties.bank_transfer.properties.eu_bank_transfer in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.customer_balance.anyOf.properties.bank_transfer.properties.requested_address_types.items in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.customer_balance.anyOf.properties.bank_transfer.properties.type in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.customer_balance.anyOf.properties.funding_type in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.customer_balance.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.customer_balance.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.eps.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.eps.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.eps.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.fpx.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.fpx.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.fpx.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.giropay.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.giropay.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.giropay.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.grabpay.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.grabpay.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.grabpay.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.ideal.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.ideal.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.ideal.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.interac_present.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.klarna.anyOf.properties.capture_method in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.klarna.anyOf.properties.preferred_locale in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.klarna.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.klarna.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.konbini.anyOf.properties.expires_after_days.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.konbini.anyOf.properties.expires_at.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.konbini.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.konbini.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.oxxo.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.oxxo.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.oxxo.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.p24.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.p24.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.p24.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.paynow.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.paynow.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.paynow.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.promptpay.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.promptpay.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.promptpay.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.sepa_debit.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.sepa_debit.anyOf.properties.setup_future_usage in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.sepa_debit.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.sofort.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.sofort.anyOf.properties.preferred_language in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.sofort.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.sofort.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.us_bank_account.anyOf.properties.financial_connections in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.us_bank_account.anyOf.properties.financial_connections.properties.permissions.items in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.us_bank_account.anyOf.properties.networks in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.us_bank_account.anyOf.properties.networks.properties.requested.items in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.us_bank_account.anyOf.properties.setup_future_usage in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.us_bank_account.anyOf.properties.verification_method in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.us_bank_account.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.wechat_pay.anyOf.properties.client in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.wechat_pay.anyOf.properties.setup_future_usage in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_method_options.properties.wechat_pay.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.radar_options in the specification.

Options to configure Radar. See Radar Session for more information.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.setup_future_usage in the specification.

Indicates that you intend to make future payments with this PaymentIntent's payment method.

Providing this parameter will attach the payment method to the PaymentIntent's Customer, if present, after the PaymentIntent is confirmed and any required actions from the user are complete. If no Customer was provided, the payment method can still be attached to a Customer after the transaction completes.

When processing card payments, Stripe also uses `setup_future_usage` to dynamically optimize your payment flow and comply with regional legislation and network rules, such as SCA.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.shipping in the specification.

Shipping information for this PaymentIntent.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.shipping.properties.address in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/payment_intents.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.transfer_data in the specification.

The parameters used to automatically create a Transfer when the payment succeeds. For more information, see the PaymentIntents use case for connected accounts.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postPaymentIntents.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostPaymentIntentsResponseError is used.

Constructors

Instances2Eq, Show